Package org.apache.wiki.util

# Enum Class XHTML

java.lang.Object
java.lang.Enum<XHTML>
org.apache.wiki.util.XHTML

All Implemented Interfaces:
  `Serializable`, `Comparable<XHTML>`, `Constable`

public enum XHTML extends Enum<XHTML>
Provides constants for the Extensible HyperText Markup Language (XHTML) 1.0.

Since:
  2.10

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`a`
`abbr`
`acronym`
`address`
`applet`
`area`
`b`
`base`
`basefont`
`bdo`
`big`
`blockquote`
`body`
`br`
`button`
`caption`
`center`
`cite`
`code`
`col`
`colgroup`
`dd`
`del`
`dfn`
`dir`
`div`
`dl`
`dt`
`em`
`fieldset`
`font`
`form`
`frame`
`frameset`
`h1`
`h2`
`h3`
`h4`
`h5`
`h6`
`head`
`hr`
`html`
`i`
`iframe`
`img`
`input`
`ins`
`isindex`
`kbd`
`label`
`legend`
`li`
`link`
`map`
`menu`
`meta`
`noframes`
`noscript`
`object`
`ol`
`optgroup`
`option`
`p`
`param`
`pre`
`q`
`s`
`samp`
`script`
`select`
`small`
`span`
`strike`
`strong`
`style`
`sub`
`sup`
`table`
`tbody`
`td`
`textarea`
`tfoot`
`th`
`thead`
`title`
`tr`
`tt`
`u`
`ul`
`var`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ATTR_align`
String containing the XHTML 'align' attribute name (i.e., 'align').
`static final String`
`ATTR_alt`
String containing the XHTML 'alt' attribute name (i.e., 'alt').
`static final String`
`ATTR_bgcolor`
String containing the XHTML 'bgcolor' attribute name (i.e., 'bgcolor').
`static final String`
`ATTR_border`
String containing the XHTML 'border' attribute name (i.e., 'border').
`static final String`
`ATTR_cellpadding`
String containing the XHTML 'cellpadding' attribute name (i.e., 'cellpadding').
`static final String`
`ATTR_cellspacing`
String containing the XHTML 'cellspacing' attribute name (i.e., 'cellspacing').
`static final String`
`ATTR_checked`
String containing the XHTML 'checked' attribute name (i.e., 'checked').
`static final String`
`ATTR_class`
String containing the XHTML 'class' attribute name (i.e., 'class').
`static final String`
`ATTR_cols`
String containing the XHTML 'cols' attribute name (i.e., 'cols').
`static final String`
`ATTR_colspan`
String containing the XHTML 'colspan' attribute name (i.e., 'colspan').
`static final String`
`ATTR_content`
String containing the XHTML 'content' attribute name (i.e., 'content').
`static final String`
`ATTR_height`
String containing the XHTML 'height' attribute name (i.e., 'height').
`static final String`
`ATTR_href`
String containing the XHTML 'href' attribute name (i.e., 'href').
`static final String`
`ATTR_httpEquiv`
String containing the XHTML 'http-equiv' attribute name (i.e., 'http-equiv').
`static final String`
`ATTR_id`
String containing the XHTML 'id' attribute name (i.e., 'id').
`static final String`
`ATTR_name`
String containing the XHTML 'name' attribute name (i.e., 'name').
`static final String`
`ATTR_rel`
String containing the XHTML 'rel' attribute name (i.e., 'rel').
`static final String`
`ATTR_rows`
String containing the XHTML 'rows' attribute name (i.e., 'rows').
`static final String`
`ATTR_scheme`
String containing the XHTML 'scheme' attribute name (i.e., 'scheme').
`static final String`
`ATTR_selected`
String containing the XHTML 'selected' attribute name (i.e., 'selected').
`static final String`
`ATTR_size`
String containing the XHTML 'size' attribute name (i.e., 'size').
`static final String`
`ATTR_src`
String containing the XHTML 'src' attribute name (i.e., 'src').
`static final String`
`ATTR_style`
String containing the XHTML 'style' attribute name (i.e., 'style').
`static final String`
`ATTR_title`
String containing the XHTML 'title' attribute name (i.e., 'title').
`static final String`
`ATTR_type`
String containing the XHTML 'type' attribute name (i.e., 'type').
`static final String`
`ATTR_value`
String containing the XHTML 'value' attribute name (i.e., 'value').
`static final String`
`ATTR_width`
String containing the XHTML 'width' attribute name (i.e., 'width').
`static final String`
`CSS_style`
An identifier for the CSS stylesheet notation using its W3C home page URI.
`static final String`
`FRAMESET_DTD_PubId`
A String containing the Formal Public Identifier (FPI) for the XHTML 1.0 Frameset DTD.
`static String`
`FRAMESET_DTD_SysId`
A String containing a system identifier for the XHTML 1.0 Frameset DTD.
`static final String`
`STRICT_DTD_PubId`
A String containing the Formal Public Identifier (FPI) for the XHTML 1.0 Strict DTD.
`static String`
`STRICT_DTD_SysId`
A String containing a system identifier for the XHTML 1.0 Strict DTD.
`static final String`
`TRANSITIONAL_DTD_PubId`
A String containing the Formal Public Identifier (FPI) for the XHTML 1.0 Transitional DTD.
`static String`
`TRANSITIONAL_DTD_SysId`
A String containing a system identifier for the XHTML 1.0 Transitional DTD.
`static final String`
`XMLNS_xhtml`
XML Namespace URI for the Extensible HyperText Markup Language (XHTML).

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Returns the element type name (AKA generic identifier).
`static String`
`getNamedCharacterEntity(int num)`
Returns a String containing the named character entity corresponding to the character number `num` for the range 160-255.
`static XHTML`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static XHTML[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### a

public static final XHTML a

### abbr

public static final XHTML abbr

### acronym

public static final XHTML acronym

### address

public static final XHTML address

### applet

public static final XHTML applet

### area

public static final XHTML area

### b

public static final XHTML b

### base

public static final XHTML base

### basefont

public static final XHTML basefont

### bdo

public static final XHTML bdo

### big

public static final XHTML big

### blockquote

public static final XHTML blockquote

### body

public static final XHTML body

### br

public static final XHTML br

### button

public static final XHTML button

### caption

public static final XHTML caption

### center

public static final XHTML center

### cite

public static final XHTML cite

### code

public static final XHTML code

### col

public static final XHTML col

### colgroup

public static final XHTML colgroup

### dd

public static final XHTML dd

### del

public static final XHTML del

### dfn

public static final XHTML dfn

### dir

public static final XHTML dir

### div

public static final XHTML div

### dl

public static final XHTML dl

### dt

public static final XHTML dt

### em

public static final XHTML em

### fieldset

public static final XHTML fieldset

### font

public static final XHTML font

### form

public static final XHTML form

### frame

public static final XHTML frame

### frameset

public static final XHTML frameset

### h1

public static final XHTML h1

### h2

public static final XHTML h2

### h3

public static final XHTML h3

### h4

public static final XHTML h4

### h5

public static final XHTML h5

### h6

public static final XHTML h6

### head

public static final XHTML head

### hr

public static final XHTML hr

### html

public static final XHTML html

### i

public static final XHTML i

### iframe

public static final XHTML iframe

### img

public static final XHTML img

### input

public static final XHTML input

### ins

public static final XHTML ins

### isindex

public static final XHTML isindex

### kbd

public static final XHTML kbd

### label

public static final XHTML label

### legend

public static final XHTML legend

### li

public static final XHTML li

### link

public static final XHTML link

### map

public static final XHTML map

### menu

public static final XHTML menu

### meta

public static final XHTML meta

### noframes

public static final XHTML noframes

### noscript

public static final XHTML noscript

### object

public static final XHTML object

### ol

public static final XHTML ol

### optgroup

public static final XHTML optgroup

### option

public static final XHTML option

### p

public static final XHTML p

### param

public static final XHTML param

### pre

public static final XHTML pre

### q

public static final XHTML q

### s

public static final XHTML s

### samp

public static final XHTML samp

### script

public static final XHTML script

### select

public static final XHTML select

### small

public static final XHTML small

### span

public static final XHTML span

### strike

public static final XHTML strike

### strong

public static final XHTML strong

### style

public static final XHTML style

### sub

public static final XHTML sub

### sup

public static final XHTML sup

### table

public static final XHTML table

### tbody

public static final XHTML tbody

### td

public static final XHTML td

### textarea

public static final XHTML textarea

### tfoot

public static final XHTML tfoot

### th

public static final XHTML th

### thead

public static final XHTML thead

### title

public static final XHTML title

### tr

public static final XHTML tr

### tt

public static final XHTML tt

### u

public static final XHTML u

### ul

public static final XHTML ul

### var

public static final XHTML var

## Field Details

### XMLNS_xhtml

public static final String XMLNS_xhtml
XML Namespace URI for the Extensible HyperText Markup Language (XHTML).

See Also:
  - Constant Field Values

### STRICT_DTD_PubId

public static final String STRICT_DTD_PubId
A String containing the Formal Public Identifier (FPI) for the XHTML 1.0 Strict DTD.

See Also:
  - Constant Field Values

### STRICT_DTD_SysId

public static String STRICT_DTD_SysId
A String containing a system identifier for the XHTML 1.0 Strict DTD.

### TRANSITIONAL_DTD_PubId

public static final String TRANSITIONAL_DTD_PubId
A String containing the Formal Public Identifier (FPI) for the XHTML 1.0 Transitional DTD.

See Also:
  - Constant Field Values

### TRANSITIONAL_DTD_SysId

public static String TRANSITIONAL_DTD_SysId
A String containing a system identifier for the XHTML 1.0 Transitional DTD.

### FRAMESET_DTD_PubId

public static final String FRAMESET_DTD_PubId
A String containing the Formal Public Identifier (FPI) for the XHTML 1.0 Frameset DTD.

See Also:
  - Constant Field Values

### FRAMESET_DTD_SysId

public static String FRAMESET_DTD_SysId
A String containing a system identifier for the XHTML 1.0 Frameset DTD.

### CSS_style

public static final String CSS_style
An identifier for the CSS stylesheet notation using its W3C home page URI.

See Also:
  - Constant Field Values

### ATTR_id

public static final String ATTR_id
String containing the XHTML 'id' attribute name (i.e., 'id').

See Also:
  - Constant Field Values

### ATTR_class

public static final String ATTR_class
String containing the XHTML 'class' attribute name (i.e., 'class').

See Also:
  - Constant Field Values

### ATTR_name

public static final String ATTR_name
String containing the XHTML 'name' attribute name (i.e., 'name').

See Also:
  - Constant Field Values

### ATTR_type

public static final String ATTR_type
String containing the XHTML 'type' attribute name (i.e., 'type').

See Also:
  - Constant Field Values

### ATTR_value

public static final String ATTR_value
String containing the XHTML 'value' attribute name (i.e., 'value').

See Also:
  - Constant Field Values

### ATTR_href

public static final String ATTR_href
String containing the XHTML 'href' attribute name (i.e., 'href').

See Also:
  - Constant Field Values

### ATTR_title

public static final String ATTR_title
String containing the XHTML 'title' attribute name (i.e., 'title').

See Also:
  - Constant Field Values

### ATTR_width

public static final String ATTR_width
String containing the XHTML 'width' attribute name (i.e., 'width').

See Also:
  - Constant Field Values

### ATTR_height

public static final String ATTR_height
String containing the XHTML 'height' attribute name (i.e., 'height').

See Also:
  - Constant Field Values

### ATTR_border

public static final String ATTR_border
String containing the XHTML 'border' attribute name (i.e., 'border').

See Also:
  - Constant Field Values

### ATTR_colspan

public static final String ATTR_colspan
String containing the XHTML 'colspan' attribute name (i.e., 'colspan').

See Also:
  - Constant Field Values

### ATTR_src

public static final String ATTR_src
String containing the XHTML 'src' attribute name (i.e., 'src').

See Also:
  - Constant Field Values

### ATTR_alt

public static final String ATTR_alt
String containing the XHTML 'alt' attribute name (i.e., 'alt').

See Also:
  - Constant Field Values

### ATTR_bgcolor

public static final String ATTR_bgcolor
String containing the XHTML 'bgcolor' attribute name (i.e., 'bgcolor').

See Also:
  - Constant Field Values

### ATTR_checked

public static final String ATTR_checked
String containing the XHTML 'checked' attribute name (i.e., 'checked').

See Also:
  - Constant Field Values

### ATTR_cols

public static final String ATTR_cols
String containing the XHTML 'cols' attribute name (i.e., 'cols').

See Also:
  - Constant Field Values

### ATTR_content

public static final String ATTR_content
String containing the XHTML 'content' attribute name (i.e., 'content').

See Also:
  - Constant Field Values

### ATTR_httpEquiv

public static final String ATTR_httpEquiv
String containing the XHTML 'http-equiv' attribute name (i.e., 'http-equiv').

See Also:
  - Constant Field Values

### ATTR_scheme

public static final String ATTR_scheme
String containing the XHTML 'scheme' attribute name (i.e., 'scheme').

See Also:
  - Constant Field Values

### ATTR_rel

public static final String ATTR_rel
String containing the XHTML 'rel' attribute name (i.e., 'rel').

See Also:
  - Constant Field Values

### ATTR_rows

public static final String ATTR_rows
String containing the XHTML 'rows' attribute name (i.e., 'rows').

See Also:
  - Constant Field Values

### ATTR_selected

public static final String ATTR_selected
String containing the XHTML 'selected' attribute name (i.e., 'selected').

See Also:
  - Constant Field Values

### ATTR_size

public static final String ATTR_size
String containing the XHTML 'size' attribute name (i.e., 'size').

See Also:
  - Constant Field Values

### ATTR_style

public static final String ATTR_style
String containing the XHTML 'style' attribute name (i.e., 'style').

See Also:
  - Constant Field Values

### ATTR_align

public static final String ATTR_align
String containing the XHTML 'align' attribute name (i.e., 'align').

See Also:
  - Constant Field Values

### ATTR_cellpadding

public static final String ATTR_cellpadding
String containing the XHTML 'cellpadding' attribute name (i.e., 'cellpadding').

See Also:
  - Constant Field Values

### ATTR_cellspacing

public static final String ATTR_cellspacing
String containing the XHTML 'cellspacing' attribute name (i.e., 'cellspacing').

See Also:
  - Constant Field Values

## Method Details

### values

public static XHTML[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static XHTML valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getName

public String getName()
Returns the element type name (AKA generic identifier). This is a convenience method that returns the same value as `XHTML.<GI>>.name();`.

### getNamedCharacterEntity

public static String getNamedCharacterEntity(int num)
Returns a String containing the named character entity corresponding to the character number `num` for the range 160-255. Throws an ArrayOutOfBoundsException if beyond the prescribed range.